Create a new mDoc credential template. Can be created from scratch or from a preset.
curl --request POST \
--url https://test.didxtech.com/me-creds/api/templates/credentials/mdoc \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"credentialFormat": "preset",
"presetId": "didx:basic-identity"
}
'import requests
url = "https://test.didxtech.com/me-creds/api/templates/credentials/mdoc"
payload = {
"credentialFormat": "preset",
"presetId": "didx:basic-identity"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({credentialFormat: 'preset', presetId: 'didx:basic-identity'})
};
fetch('https://test.didxtech.com/me-creds/api/templates/credentials/mdoc', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"name": "National ID",
"description": "South African national identity document",
"attributes": {
"za.co.didx": {
"properties": {
"firstName": {
"type": "string",
"name": "First Name",
"required": true
}
}
}
},
"createdAt": "2025-02-20T11:27:37.051Z",
"updatedAt": "2025-02-20T11:27:37.051Z",
"archivedAt": null,
"format": "mdoc",
"id": "6421a8905c17830c188e2e30",
"type": "za.co.didx.national-id",
"validUntil": {
"future": {
"days": 365
}
},
"issuer": {
"signer": "certificate",
"keyType": "P-256"
}
},
"links": {
"self": "<string>",
"first": "<string>",
"last": "<string>",
"prev": "<string>",
"next": "<string>",
"related": "<string>"
},
"meta": {},
"errors": [
{
"detail": "<string>",
"id": "<string>",
"status": "<string>",
"code": "<string>",
"title": "<string>",
"source": {
"pointer": "<string>",
"parameter": "<string>"
},
"meta": {}
}
]
}Credential Templates API
Create a new mDoc credential template. Can be created from scratch or from a preset
deprecated
POST
/
templates
/
credentials
/
mdoc
Create a new mDoc credential template. Can be created from scratch or from a preset.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Response
Created mDoc credential template.
Show child attributes
Show child attributes
Example:
{
"name": "National ID",
"description": "South African national identity document",
"attributes": {
"za.co.didx": {
"properties": {
"firstName": {
"type": "string",
"name": "First Name",
"required": true
}
}
}
},
"createdAt": "2025-02-20T11:27:37.051Z",
"updatedAt": "2025-02-20T11:27:37.051Z",
"archivedAt": null,
"format": "mdoc",
"id": "6421a8905c17830c188e2e30",
"type": "za.co.didx.national-id",
"validUntil": { "future": { "days": 365 } },
"issuer": {
"signer": "certificate",
"keyType": "P-256"
}
}
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Create a new credential template. Can be created from scratch or from a preset (v1)Create a new mDoc credential template. Can be created from scratch or from a preset (v1)
⌘I

